incubator-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kim van der Riet <kim.vdr...@redhat.com>
Subject Re: errors updating site
Date Mon, 13 Nov 2006 18:50:46 GMT
On Mon, 2006-11-13 at 11:48 -0700, Martin Sebor wrote:
> /usr/bin/java: line 5: gcj: command not found
> Buildfile: build.xml
> 
It looks as though you are using the Gnu Compiler for Java (gcj) to
compile - this is the default for many Linux distributions. This will
not work - you need to use sun's Java to compile:

$ java -version
java version "1.5.0_09"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_09-b03)
Java HotSpot(TM) Client VM (build 1.5.0_09-b03, mixed mode, sharing)

AFIK, any version 1.5.0_xx will work. If the version reports "Eclipse
Java Compiler" or similar, you are using the wrong version.

This can be achieved (after downloading and installing) either by
creating an environment in which the Sun java is default, or under
Linux, the alternatives utility can be used to set the default java and
javac to the JVM of your choice (you need to be root to run it,
however).

See the java/README.txt file for further details on build requirements.

Kim



---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@incubator.apache.org
For additional commands, e-mail: general-help@incubator.apache.org


Mime
View raw message